# Method: accounts.generatedImages.upscaleProductImage

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.UpscaleProductImageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/accounts.generatedImages/upscaleProductImage#try-it)

generatedImages.upscaleProductImage generates a new image where the resolution of the original image is enhanced.

### HTTP request

`POST https://merchantapi.googleapis.com/productstudio/v1alpha/{name=accounts/*}/generatedImages:upscaleProductImage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The account for which to generate an image. This acts as a container for the request and does not affect the generation itself. Format: accounts/{account} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "outputConfig": { object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/OutputImageConfig`) }, "inputImage": { object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/InputImage`) } } ``` |

| Fields ||
|---|---|
| `outputConfig` | ``object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/OutputImageConfig`)`` Optional. Configuration for how the output image should be returned. |
| `inputImage` | ``object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/InputImage`)`` Required. The input image. |

### Response body

Response message for the generatedImages.upscaleProductImage method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "generatedImage": { object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/GeneratedImage`) } } ``` |

| Fields ||
|---|---|
| `generatedImage` | ``object (`https://developers.google.com/merchant/api/reference/rest/productstudio_v1alpha/GeneratedImage`)`` The generated output image. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).